ixmldebug.h File Reference

Auxiliar routines to aid debugging. More...

`#include "UpnpGlobal.h"`
`#include "ixml.h"`
Include dependency graph for ixmldebug.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | IxmlPrintf (const char *DbgFileName, int DbgLineNo, const char *FunctionName, const char *FmtStr,...)
| Prints the debug statement either on the standard output or log file along with the information from where this debug statement is coming.
void | printNodes (IXML_Node *tmpRoot, int depth)
| Print the node names and values of a XML tree.

## Detailed Description

Auxiliar routines to aid debugging.

## Function Documentation

## IxmlPrintf()

void IxmlPrintf | ( | const char * | DbgFileName,
|  | int | DbgLineNo,
|  | const char * | FunctionName,
|  | const char * | FmtStr,
|  |  | ... )

Prints the debug statement either on the standard output or log file along with the information from where this debug statement is coming.

Parameters

  [in] | DbgFileName | The file name, usually FILE.
  [in] | DbgLineNo | The line number, usually LINE or a variable that got the LINE at the appropriate place.
  [in] | FunctionName | The function name.
  [in] | FmtStr | Printf like format specification.
  [in] | ... | Printf like Variable number of arguments that will go in the debug statement.

Referenced by ixmlDocument_createElement(), ixmlDocument_createElementNSEx(), ixmlDomTreetoString(), ixmlPrintDomTree(), ixmlPrintDomTreeRecursive(), Parser_copyToken(), Parser_getChar(), Parser_getNextNode(), Parser_processAttribute(), Parser_processContent(), Parser_processETag(), Parser_UTF8ToInt(), Parser_xmlNamespace(), and printNodes().

## printNodes()

void printNodes | ( | IXML_Node * | tmpRoot,
|  | int | depth )

Print the node names and values of a XML tree.

Parameters

  [in] | tmpRoot | The root of the tree to print.
  [in] | depth | The depth to print.

References DOMString, ixmlNode_getChildNodes(), ixmlNode_getNodeName(), ixmlNode_getNodeType(), ixmlNode_getNodeValue(), ixmlNodeList_item(), IxmlPrintf(), and printNodes().

Referenced by printNodes().